commons-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Thomas Neidhart <thomas.neidh...@gmail.com>
Subject Re: [beanutils] Version 1.9.2 uses FastHashMap in class PropertyUtilsBean, but FastHashMap does not exists in collections4
Date Tue, 30 Sep 2014 14:42:06 GMT
Hi Florian,

beanutils 1.9 still requires a collections 3.x jar in your classpath, it
has not yet been updated for the latest collections release.

Collections 4.0 is not binary / source compatible with collections 3.x but
can be used together as it uses a different package name
(o.a.c.collections4) and maven coordinates.

Regards,

Thomas


On Tue, Sep 30, 2014 at 4:32 PM, <Florian.Marquardt@dachser.com> wrote:

>
> Hi All
>
> We have tried to update our common libs. We have updated to
> Beanutils 1.9.2 and collection4 4.0.
> These packages are incompatible, or did i get something wrong.
>
> I always receive this error
> Stacktrace]
> java.lang.NoClassDefFoundError:
> org/apache/commons/collections/FastHashMap
>         at
> org.apache.commons.beanutils.PropertyUtilsBean.getMappedPropertyDescriptors
> (PropertyUtilsBean.java:723)
>         at
> org.apache.commons.beanutils.PropertyUtilsBean.getMappedPropertyDescriptors
> (PropertyUtilsBean.java:743)
>         at
> org.apache.commons.beanutils.PropertyUtilsBean.getPropertyDescriptor
> (PropertyUtilsBean.java:956)
>         at
> org.apache.commons.beanutils.PropertyUtilsBean.isWriteable
> (PropertyUtilsBean.java:1466)
>         at
> org.apache.commons.beanutils.BeanUtilsBean.copyProperties
> (BeanUtilsBean.java:277)
>         at org.apache.commons.beanutils.BeanUtils.copyProperties
> (BeanUtils.java:135)
>
> Greetings
> Florian
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: user-unsubscribe@commons.apache.org
> For additional commands, e-mail: user-help@commons.apache.org
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message